Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Jul 2021 20:09:16 +0200

Paul Pogonyshev <[email-masked]> writes:

> * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a buffer.
> * Switch to another buffer, type a couple of letters and then start pressing 'M-/'
> (dabbrev-expand).
> * It is very likely you will hit a "very useful" dabbrev in binary form taken from
> the archive. E.g. I opened a large tarball, then switched to *scratch*, typed "tz",
> and the very first dabbrev I got was "tz\327r".

(I'm going through old bug reports that unfortunately got little response at
the time.)

I tried reproducing this in Emacs 28, and I don't get any of these
binary expansions.  Are you still seeing this in more recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no